# [JWT] Refresh social tokens in JWT

Refreshes social token by social refresh token from JWT.


{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: POST /social/{provider_name}/refresh_token
Version: v1
Security: Bearer

## Query parameters:

  - `projectId` (string, required)
    Login project ID from Publisher Account.

## Path parameters:

  - `provider_name` (string, required)
    Name of the social network connected to Login in Publisher Account. Can be: xsolla, epicgames, generic.

## Request fields (application/json):

  - `is_cross_provider` (boolean)
    Wheather the ability to use a cross-platform account set up for the provider.

## Response 200 fields (application/json):

  - `token` (string)
    Login JWT with refreshed social tokens.
    Example: "some jwt"

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


